#ifndef TAPVMODE_H
#define TAPVMODE_H


#include <iostream.h>
#include "TPedestal.h"
#include "TNoise.h"
#include "TDirectory.h"

class TPedestal;
class TNoise;

class TApvMode : public TObject {
////////////////////////////////////////////////////////////////////////
// Description......
// 
// Origin: Davide Gerbaudo 19/11/2003
// 
////////////////////////////////////////////////////////////////////////
 public:
  //
  TApvMode(int iVerb = 0);
  TApvMode( TDirectory* , int iVerb = 0);
  virtual ~TApvMode();

  void Init( TDirectory *pDir ); 
  bool IsEmpty() { return !(aPed.IsOk() && aNoise.IsOk());}
  /*TVector *GetVectMean() const { return pVectMean; }
  TVector *GetVectConnect() const { return pVectConnect; }
  TVector *GetVectRMS() const { return pVectRMS; }   
  TH1F *GetHistoPed() const { return pPedestal; }
  TH1F *GetHistoBadPed() const { return pBadPedestal; }*/
  //
 private:
  //  
  TPedestal aPed;      //  TPedestal
  TNoise aNoise;       //  TNoise
  int aVerbose;            //!
  ClassDef(TApvMode,1) 
};


#endif
