#ifndef TRECORD_H
#define TRECORD_H


#include <iostream.h>
#include "TApvMode.h"
#include "TDirectory.h"

class TApvMode;

class TRecord : public TObject {
////////////////////////////////////////////////////////////////////////
// Description......
// 
// Origin: Davide Gerbaudo 21/11/2003
// 
////////////////////////////////////////////////////////////////////////
 public:
  //
  TRecord(int iVerb = 0);
  TRecord( TDirectory* , int iVerb = 0);
  virtual ~TRecord();

  void Init( TDirectory *rDir ); 
  // dopo  -------bool IsEmpty() { return !(aPed.IsOk() && aNoise.IsOk());}
  //
 private:
  //
  //TApvMode DecOn;         //  Deconvolution Inverter On 
  //TApvMode DecOff;        //  Deconvolution Inverter Off
  TApvMode PeakOff;       //  Peak Inverter Off
  //TApvMode PeakOn;        //  Peak Inverter On
  int rVerbose;            //!
  ClassDef(TRecord,1) 
};


#endif
